diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 22cf833f..1ad4d068 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -720,256 +779,118 @@
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="sexe" type="xs:string"/>
       <xs:element name="birth" type="tns:birthInfoBean"/>
       <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
       <xs:element minOccurs="0" name="fsl" type="ns1:fslBean"/>
       <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
       <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="ns3:relatedPersonBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns2:indicatorBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorBean"/>
       <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolList" nillable="true" type="ns3:subscribeSchoolBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolList" nillable="true" type="tns:subscribeSchoolBean"/>
       <xs:element minOccurs="0" name="mother" type="tns:personBean"/>
       <xs:element minOccurs="0" name="father" type="tns:personBean"/>
       <xs:element minOccurs="0" name="rl" type="tns:personBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeActivityList" nillable="true" type="ns1:subscribeActivityBean"/>
       <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="birthInfoBean">
     <xs:sequence>
       <xs:element name="dateBirth" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="place" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="medicalRecordBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="familyDoctor" type="tns:familyDoctorBean"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="vaccinList" nillable="true" type="tns:vaccinBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="familyDoctorBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="name" type="xs:string"/>
-          <xs:element minOccurs="0" name="phone" type="xs:string"/>
-          <xs:element minOccurs="0" name="address" type="tns:doctorAddressBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="doctorAddressBean">
+  <xs:complexType name="relatedPersonBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="street1" type="xs:string"/>
-          <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
-          <xs:element minOccurs="0" name="town" type="xs:string"/>
+          <xs:element minOccurs="0" name="person" type="tns:personInfoBean"/>
+          <xs:element minOccurs="0" name="personQuality" type="tns:personQualityBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="vaccinBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element minOccurs="0" name="vaccinationDate" type="xs:dateTime"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="personBean">
+  <xs:complexType name="personInfoBean">
     <xs:sequence>
       <xs:element name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
       <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="indicatorValueBean">
+  <xs:complexType name="personQualityBean">
+    <xs:sequence>
+      <xs:element name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorBean">
     <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecResultBean">
+      <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
           <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="tns:indicatorChoiceBean"/>
+          <xs:element minOccurs="0" name="choice" type="xs:string"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="indicatorChoiceBean">
+  <xs:complexType name="medicalRecordBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element minOccurs="0" name="familyDoctor" type="tns:familyDoctorBean"/>
+          <xs:element maxOccurs="unbounded" minOccurs="0" name="vaccinList" nillable="true" type="tns:vaccinBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="updateChildAutorizationRequestBean">
-    <xs:sequence>
-      <xs:element name="numFamily" type="xs:string"/>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" name="personList" type="tns:relatedPerson2Bean"/>
-      <xs:element name="bLeaveAlone" type="xs:boolean"/>
-      <xs:element name="bPhoto" type="xs:boolean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="relatedPerson2Bean">
-    <xs:sequence>
-      <xs:element name="personInfo" type="tns:person2Bean"/>
-      <xs:element name="personQuality" type="ns2:personQualityBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="person2Bean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="mail" type="xs:string"/>
-      <xs:element minOccurs="0" name="address" type="ns2:addressBean"/>
-    </xs:sequence>
-    <xs:attribute name="num" type="xs:int"/>
-  </xs:complexType>
-
-  <xs:complexType name="emergencyPersonListBean">
+  <xs:complexType name="familyDoctorBean">
     <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecRequestBean">
+      <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="personList" nillable="true" type="tns:familyPersonBean"/>
+          <xs:element minOccurs="0" name="name" type="xs:string"/>
+          <xs:element minOccurs="0" name="phone" type="xs:string"/>
+          <xs:element minOccurs="0" name="address" type="tns:doctorAddressBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="indicatorValueAddBean">
+  <xs:complexType name="doctorAddressBean">
     <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecRequestBean">
+      <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+          <xs:element minOccurs="0" name="street1" type="xs:string"/>
+          <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
+          <xs:element minOccurs="0" name="town" type="xs:string"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="resultChildBean">
-    <xs:sequence>
-      <xs:element name="number" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="subscribeActivityRequestBean">
-    <xs:sequence>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
-      <xs:element name="activityUnitPlace" type="tns:activityUnitPlaceBean"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="datePreSubscribe" type="xs:dateTime"/>
-      <xs:element name="weeklyPlanning" type="xs:string"/>
-      <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="activityUnitPlaceBean">
-    <xs:sequence>
-      <xs:element name="idActivity" type="xs:string"/>
-      <xs:element name="idUnit" type="xs:string"/>
-      <xs:element name="idPlace" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="subscribeActivityResultBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
-      <xs:element minOccurs="0" name="activity" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="datePreSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
-      <xs:element minOccurs="0" name="place" type="xs:string"/>
-      <xs:element minOccurs="0" name="state" type="ns2:stateBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="childBean">
-    <xs:sequence>
-      <xs:element name="sexe" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="resultFamilyBean">
-    <xs:sequence>
-      <xs:element name="number" type="xs:int"/>
-      <xs:element minOccurs="0" name="password" type="xs:string"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="rl1ErrorList" nillable="true" type="xs:string"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="StreetBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="idStreet" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelleStreet" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="organBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="id" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.school.ws.maelis.sigec.com" xmlns:ns2="family.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.family.ws.maelis.sigec.com" targetNamespace="bean.persistence.school.ws.maelis.sigec.com" version="1.0">
-
-  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
-
-  <xs:import namespace="family.ws.maelis.sigec.com"/>
-
-  <xs:complexType name="relatedPersonBean">
+  <xs:complexType name="vaccinBean">
     <xs:complexContent>
-      <xs:extension base="ns2:abstractSpecBean">
+      <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="person" type="ns1:personInfoBean"/>
-          <xs:element minOccurs="0" name="personQuality" type="ns1:personQualityBean"/>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element minOccurs="0" name="vaccinationDate" type="xs:dateTime"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="subscribeSchoolBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="year" type="xs:int"/>
@@ -990,81 +911,110 @@
   <xs:complexType name="levelBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idlevel" type="xs:string"/>
       <xs:element minOccurs="0" name="codlevel" type="xs:string"/>
       <xs:element minOccurs="0" name="liblevel" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="subscribeSchoolRequestBean">
-    <xs:sequence>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
-      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
-    </xs:sequence>
+  <xs:complexType name="personBean">
+    <xs:sequence>
+      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="activityTypeBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="activityNatureBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorValueBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecResultBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element minOccurs="0" name="choice" type="tns:indicatorChoiceBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
   </xs:complexType>
 
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns3="bean.persistence.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.school.ws.maelis.sigec.com" xmlns:ns1="family.ws.maelis.sigec.com" targetNamespace="bean.persistence.family.ws.maelis.sigec.com" version="1.0">
-
-  <xs:import namespace="family.ws.maelis.sigec.com"/>
-
-  <xs:import namespace="bean.persistence.school.ws.maelis.sigec.com"/>
-
-  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+  <xs:complexType name="indicatorChoiceBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
 
-  <xs:complexType name="addressBean">
+  <xs:complexType name="updateChildAutorizationRequestBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idStreet" nillable="true" type="xs:string"/>
-      <xs:element minOccurs="0" name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="numComp" type="xs:string"/>
-      <xs:element name="street1" type="xs:string"/>
-      <xs:element minOccurs="0" name="street2" type="xs:string"/>
-      <xs:element name="town" type="xs:string"/>
-      <xs:element name="zipcode" type="xs:string"/>
+      <xs:element name="numFamily" type="xs:string"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" name="personList" type="tns:relatedPerson2Bean"/>
+      <xs:element name="bLeaveAlone" type="xs:boolean"/>
+      <xs:element name="bPhoto" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="contactBean">
+  <xs:complexType name="relatedPerson2Bean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
-      <xs:element minOccurs="0" name="mail" type="xs:string"/>
-      <xs:element minOccurs="0" name="isContactMail" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="isContactSms" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="isInvoicePdf" type="xs:boolean"/>
+      <xs:element name="personInfo" type="tns:person2Bean"/>
+      <xs:element name="personQuality" type="tns:personQualityBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="personInfoBean">
+  <xs:complexType name="person2Bean">
     <xs:sequence>
-      <xs:element name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
-      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
       <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+      <xs:element minOccurs="0" name="address" type="tns:addressBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="personQualityBean">
+  <xs:complexType name="subscribeSchoolRequestBean">
     <xs:sequence>
-      <xs:element name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
+      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="indicatorBean">
+  <xs:complexType name="emergencyPersonListBean">
     <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
+      <xs:extension base="ns1:abstractSpecRequestBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+          <xs:element maxOccurs="unbounded" minOccurs="0" name="personList" nillable="true" type="tns:familyPersonBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="getActivityRateRequestBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idSubscribe" type="xs:string"/>
@@ -1082,34 +1032,63 @@
 
   <xs:complexType name="getActivityRateResultBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="rate" type="xs:double"/>
       <xs:element minOccurs="0" name="calculationDate" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
 
+  <xs:complexType name="updateChildMedicalRecordRequestBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecRequestBean">
+        <xs:sequence>
+          <xs:element name="numPerson" type="xs:int"/>
+          <xs:element name="medicalRecord" type="tns:medicalRecordBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
   <xs:complexType name="childCreateBean">
     <xs:sequence>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="sexe" type="xs:string"/>
       <xs:element name="birth" type="ns1:birthCreateBean"/>
       <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
       <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
       <xs:element minOccurs="0" name="numFather" type="xs:int"/>
       <xs:element minOccurs="0" name="numMother" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="ns2:relatedPersonBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns3:indicatorValueAddBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorValueAddBean"/>
       <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="medicalRecord" type="ns3:medicalRecordBean"/>
+      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
       <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
     </xs:sequence>
   </xs:complexType>
 
+  <xs:complexType name="indicatorValueAddBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecRequestBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="resultChildBean">
+    <xs:sequence>
+      <xs:element name="number" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="addSuppliedDocumentRequestBean">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="documentList" nillable="true" type="tns:suppliedDocumentBean"/>
     </xs:sequence>
   </xs:complexType>
 
@@ -1117,51 +1096,93 @@
     <xs:sequence>
       <xs:element name="idDocument" type="xs:string"/>
       <xs:element minOccurs="0" name="depositDate" type="xs:dateTime"/>
       <xs:element name="filename" type="xs:string"/>
       <xs:element name="fileSupplied" type="ns1:fileHandler"/>
     </xs:sequence>
   </xs:complexType>
 
+  <xs:complexType name="subscribeActivityRequestBean">
+    <xs:sequence>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
+      <xs:element name="activityUnitPlace" type="tns:activityUnitPlaceBean"/>
+      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="datePreSubscribe" type="xs:dateTime"/>
+      <xs:element name="weeklyPlanning" type="xs:string"/>
+      <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="activityUnitPlaceBean">
+    <xs:sequence>
+      <xs:element name="idActivity" type="xs:string"/>
+      <xs:element name="idUnit" type="xs:string"/>
+      <xs:element name="idPlace" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="subscribeActivityResultBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
+      <xs:element minOccurs="0" name="activity" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="datePreSubscribe" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
+      <xs:element minOccurs="0" name="place" type="xs:string"/>
+      <xs:element minOccurs="0" name="state" type="tns:stateBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="stateBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
           <xs:element minOccurs="0" name="idState" type="xs:string"/>
           <xs:element minOccurs="0" name="libelle" type="xs:string"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.activity.ws.maelis.sigec.com" targetNamespace="bean.persistence.activity.ws.maelis.sigec.com" version="1.0">
-
-  <xs:complexType name="activityTypeBean">
+  <xs:complexType name="childBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
-      <xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean"/>
+      <xs:element name="sexe" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
+      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="activityNatureBean">
+  <xs:complexType name="resultFamilyBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element name="number" type="xs:int"/>
+      <xs:element minOccurs="0" name="password" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="rl1ErrorList" nillable="true" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
 </xs:schema>
   </wsdl:types>
   <wsdl:message name="readQuotientList">
     <wsdl:part element="tns:readQuotientList" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="updateFamilyEmergencyPersonListResponse">
+    <wsdl:part element="tns:updateFamilyEmergencyPersonListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readQuotientListResponse">
     <wsdl:part element="tns:readQuotientListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readFamily">
     <wsdl:part element="tns:readFamily" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1172,24 +1193,36 @@
   <wsdl:message name="readCivilityList">
     <wsdl:part element="tns:readCivilityList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readFamilyResponse">
     <wsdl:part element="tns:readFamilyResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="updateChildMedicalRecordResponse">
+    <wsdl:part element="tns:updateChildMedicalRecordResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readCSPList">
     <wsdl:part element="tns:readCSPList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateFamilySituation">
     <wsdl:part element="tns:updateFamilySituation" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="getLevel">
+    <wsdl:part element="tns:getLevel" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateFamilyEmergencyPersonList">
+    <wsdl:part element="tns:updateFamilyEmergencyPersonList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="isChildExistsResponse">
     <wsdl:part element="tns:isChildExistsResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateCoordinate">
     <wsdl:part element="tns:updateCoordinate" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1212,24 +1245,32 @@
   <wsdl:message name="deletesubscribeResponse">
     <wsdl:part element="tns:deletesubscribeResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readSituationList">
     <wsdl:part element="tns:readSituationList" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="updateChildMedicalRecord">
+    <wsdl:part element="tns:updateChildMedicalRecord" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="addSuppliedDocument">
     <wsdl:part element="tns:addSuppliedDocument" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateFamilyResponse">
     <wsdl:part element="tns:updateFamilyResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="createOrUpdateChildDietResponse">
+    <wsdl:part element="tns:createOrUpdateChildDietResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="createFamilyResponse">
     <wsdl:part element="tns:createFamilyResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="isChildExists">
     <wsdl:part element="tns:isChildExists" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1296,16 +1337,20 @@
   <wsdl:message name="readDietCodeList">
     <wsdl:part element="tns:readDietCodeList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="MaelisFamilyException">
     <wsdl:part element="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="createOrUpdateChildDiet">
+    <wsdl:part element="tns:createOrUpdateChildDiet" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="subscribeActivityResponse">
     <wsdl:part element="tns:subscribeActivityResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateCoordinateResponse">
     <wsdl:part element="tns:updateCoordinateResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
